Error: fibers@4.0.3 install: node build.js が出た時

15577B60-5B6E-4169-A30D-D34D8F952185

NuxtJSをdockerに乗せようと環境構築していた時に出てきたエラー。
nuxt createとかでプロジェクトを作ろうとしたらエラーが出たのでその解決法を書き溜め。

普通なら出ないことが多いけど、Alpineのイメージを使っていると頻発する人も多そうだなと。

広告

エラー内容

npm installとかやると起きる。

解決方法

解決方法は2つ。

  1. @nuxtjs/vuetifyを最新にすること
  2. PythonをOSにインストールすること

そのあと、npm installでPythonがないって言われることがあるので注意。

Alpine環境では主に2ができてないことが多い。
下記のような感じ。

一応イシューにあがってたので
詳しくはそっちみてね。



じゃあね〜。